Skip to main content
GET
/
api
/
customers
List Customers
curl --request GET \
  --url https://api.rapidly.tech/api/customers/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "modified_at": "2023-11-07T05:31:56Z",
      "metadata": {},
      "external_id": "usr_1337",
      "email": "<string>",
      "email_verified": true,
      "name": "John Doe",
      "billing_address": {
        "country": "AD",
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "city": "<string>",
        "state": "<string>"
      },
      "workspace_id": "<string>",
      "deleted_at": "2023-11-07T05:31:56Z",
      "avatar_url": "<string>",
      "type": "individual",
      "members": [
        {
          "id": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "modified_at": "2023-11-07T05:31:56Z",
          "customer_id": "<string>",
          "email": "<string>",
          "name": "Jane Doe",
          "external_id": "usr_1337",
          "role": "owner"
        }
      ]
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "pages": 123
  }
}

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Query Parameters

workspace_id

Filter by workspace ID. The workspace ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

email
string | null

Filter by exact email.

query
string | null

Filter by name, email, or external ID.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

sorting
enum<string>[] | null

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Available options:
email,
-email,
name,
-name,
created_at,
-created_at

Response

Successful Response

data
CustomerWithMembers · object[]
required
meta
PageMeta · object
required

Offset-based pagination metadata.